Page MenuHomePhabricator

PHPUnit: make tests independent of global CN config variables
Closed, ResolvedPublic

Description

An unused patch set demonstrated that PHPUnit tests derp out under certain configurations. This shouldn't happen.

See:

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : masterClean up database switching
mediawiki/extensions/CentralNotice : masterClean up database switching
mediawiki/extensions/CentralNotice : masterClean up database switching

Event Timeline

AndyRussG created this task.Mar 9 2015, 7:56 PM
AndyRussG raised the priority of this task from to Needs Triage.
AndyRussG updated the task description. (Show Details)
AndyRussG added a subscriber: AndyRussG.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2015, 7:56 PM
Aklapper triaged this task as Low priority.Mar 10 2015, 11:40 AM

Change 181238 had a related patch set uploaded (by Awight):
Clean up database switching

https://gerrit.wikimedia.org/r/181238

Change 197003 had a related patch set uploaded (by Awight):
Use the one-argument form of wfGetDB when fetching the primary db

https://gerrit.wikimedia.org/r/197003

Change 197003 abandoned by Awight:
Clean up database switching

Reason:
squashed.

https://gerrit.wikimedia.org/r/197003

Change 197003 restored by Awight:
Clean up database switching

Reason:
ooops.

https://gerrit.wikimedia.org/r/197003

Change 197003 abandoned by Awight:
Clean up database switching

Reason:
aha! That was the one I meant to abandon.

https://gerrit.wikimedia.org/r/197003

Change 181238 merged by jenkins-bot:
Clean up database switching

https://gerrit.wikimedia.org/r/181238

Change 197745 had a related patch set uploaded (by Awight):
Clean up database switching

https://gerrit.wikimedia.org/r/197745

@AndyRussG @awight should this be in the sprint? it's "low" priority.

@atgo as is prone to happen when apples go to the juice farm, this turned out to be the blocker for the fix that unblocked cross-browser tests, so fixing this allowed us to fix that which fixed the other thing.

Ah cool! Could you add the dependency? Helps me a lot :)

AndyRussG closed this task as Resolved.Mar 18 2015, 9:53 PM
AndyRussG set Security to None.

Change 197745 abandoned by Awight:
Clean up database switching

Reason:
Already merged, as @I983cb3b5c882bb4884c76a94d4ebba39763fd299

https://gerrit.wikimedia.org/r/197745

mmodell removed a subscriber: awight.Jun 22 2017, 9:48 PM